# this line is here so the file is encoded as ＵＴＦ−８
# do not delete it unless you know what that means

# example dictionary config for JMdict

[JMdict]
location=/home/sudacode/Documents/jmdict
type=yomichan

# Only the two entries above are strictly required for each dictionary.
# optional entries:

# cf. doc/lookup-transformations.md, empty by default:
#transformations=deinflect-japanese,deinflect-migaku(ja.json),kana

# cf. doc/dictionaries.md for details
#preload=<...>
#insert_cjk_breaks=no
#exporter=default
#quick_def_template={{readings:::・}}{{variants:【:】:・}}: {{definitions:::; }}

#export:digits=<...>
#export:reading_template={{reading}}{{variants:【:】:・}}
#export:definition_template={{tags:<span style="font-size\: 0.8em">:</span><br>:, }}{{num}}. {{keywords:::; }}
#export:template={{readings[1]}}:{{readings[2:] (:):　}}<br>{{definitions:::<br>}}
#export:use_single_template=yes
#export:single_template={{readings[1]}}:{{readings[2:] (:):　}} {{keywords:::; }}

# --------------------

# example config for Daijirin, probably usable for any EPWING exported by
# yomichan-import

# also set 'definition_substitutions=\<br><\n' in your target config
# to add HTML line breaks to the definition

#[大辞林]
#location=<set to dictionary directory>
#type=yomichan

# to make text more readable in mpv
#insert_cjk_breaks=yes

# there is only one definition for EPWINGs exported to Yomichan
# and it already includes the word
#quick_def_template={{definitions}}

# same as for quick_def_template
#export:definition_template={{keywords}}
#export:template={{definitions}}

# these aren't needed since the reading and word are already in the definition
#export:reading_template=
#export:use_single_template=no

# --------------------

# example config for a Migaku dictionary

#[Migaku Dictionary]
#location=<set to path to dictionary JSON file>
#type=migaku
#exporter=default
#quick_def_template={{definitions}}
#export:template=[[
#{{terms[1]}}{{terms[2:] (:):, }}:<br>
#{{altterms::<br>:, }}{{pronunciations::<br>:, }}{{positions::<br>:, }}
#{{definition}}
#{{examples:::, }}
#]]
